library(dplyr)
df_full <- read.csv("11770.csv")

full_sd <- apply(df_full, 2, FUN = sd, na.rm = TRUE)
full_sd[names(df)[-1]]
aggFUN = function(x){aggregate(x, by = list(df$nr_sampling), FUN = sd, na.rm = TRUE)}

df <- read.csv("Equisetum_fluviatile.csv")
#names(df)
sd_out <- apply(df, 2, FUN = aggFUN)
#plot(sd_out[["bulk.density"]])

inflection <- function(s){
  x <- s[["x"]]
  dens <- density(x)
# dy/dx first derivative
first<-diff(dens$y)
# Second derivative
second<-diff(first)
# Condition for inflection point
flections<-c()
for(i in 2:length(second)){
  if(sign(second[i])!=sign(
    second[i-1])){
    flections<-c(flections,i)
  }
}
return(flections[1])
}

lapply(sd_out, inflection)

std_per <- data.frame()
for (j in 2:15) {
  sel <- sd_out[[j]][["x"]][c(8,18, 28, 38)]
  sel <- t(sel)
  std_per <- rbind(std_per, sel)
}

